<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:b="http://bootsfaces.net/ui">

<!-- Header -->
<ui:composition template="/arche/arche.xhtml">
    <ui:define name="content">
        <h:form>
            <b:panel title="Création d'un nouvel événement" col-sm="6" offset-sm="3" collapsible="false">
                <b:row>
                    <b:inputText value="#{mbEvent.ajoutEvent.intitule}" placeholder="Intitulé"
                                 col-md="12" required="true"/><br/>
                </b:row>
                

                <b:row>
					<b:selectOneMenu value="#{mbEvent.ajoutEvent.typeEvent}"
									 required="true"
									 colMd="full-size" field-size="xs">
      					<f:selectItem itemLabel="(Type d'événement)" itemValue="" />
						<f:selectItems 	value="#{mbEvent.allTypeEvent}" 
							var="t" 
							itemValue="#{t}"   
							itemLabel="#{t.nom}" />
					</b:selectOneMenu>
                </b:row>
                
                
                <b:row>
                    <b:dateTimePicker value="#{mbEvent.ajoutEvent.dateDebut}"
                                      icon-position="left"
                                      format="DD.MM.YYYY"
                                      tooltip="dd.mm.yyyy"
                                      tiny-screen="one-fourth" placeholder="Date de début"
                                      required="true" col-sm="6" required-message="Obligatoire"/>
                    <b:dateTimePicker value="#{mbEvent.ajoutEvent.dateFin}"
                                      icon-position="left"
                                      format="DD.MM.YYYY"
                                      placeholder="Date de fin"
                                      tooltip="dd.mm.yyyy"
                                      tiny-screen="one-fourth" required="true"
                                      required-message="Obligatoire" col-sm="6"/>
                </b:row>

                <b:row>
                    <b:inputText value="#{mbEvent.ajoutEvent.rueLivraison}" placeholder="Adresse de livraison"
                                 col-md="12" required="true"/><br/>
                </b:row>

                <b:row>
                    <b:column col-md="4"><b:inputText value="#{mbVille.ville.codePostal}"
                                                      placeholder="Code Postal"
                                                      required="true"/></b:column>
                    <b:column col-md="8"><b:inputText value="#{mbVille.ville.nom}"
                                                      placeholder="Ville"
                                                      required="true"/></b:column>
                </b:row>
                <b:row>
                    <b:commandButton value="Créer" look="primary" span="3" offset="9"
                                     action="#{mbEvent.addEvent}"/>
                </b:row>
            </b:panel>
        </h:form>
    </ui:define>
</ui:composition>
</html>
